Skip to main content
GET
/
vehicle-information
/
versions
Get all versions with their fiscal power and number of seats for a given brand and model
curl --request GET \
  --url https://api.example.com/vehicle-information/versions
import requests

url = "https://api.example.com/vehicle-information/versions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/vehicle-information/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "version": "<string>",
      "fiscalPower": 123,
      "numberOfSeats": 123,
      "commercialisationStartDate": "2023-11-07T05:31:56Z"
    }
  ]
}

Query Parameters

brand
string
required

The brand

model
string
required

The model

fiscalPower
number

The fiscalPower value

Required range: x >= 1
energyCode
string

The energy

entryIntoCirculationDate
string<date-time>

The first circulation date

Response

200 - application/json
data
object[]
required

List of vehicle version main information